summaryrefslogtreecommitdiff
path: root/font/make-Rproto
diff options
context:
space:
mode:
authorwl <wl>2006-08-09 15:55:17 +0000
committerwl <wl>2006-08-09 15:55:17 +0000
commitcb99f46031984301844540ab3453da4e864756c4 (patch)
tree1b3f045382f53d79d0387a2e3f2f2708b6f3a4b7 /font/make-Rproto
parentc7a82e7c403ac6d34976e9a3bf694f01c88fd2b7 (diff)
downloadgroff-cb99f46031984301844540ab3453da4e864756c4.tar.gz
Support composite Unicode characters again. Reported by Colin.
* font/devhtml/R.proto: Renamed to... * font/devhtml/R.in: This. * font/devutf8/R.proto: Renamed to... * font/devutf8/R.in: This. Add `charset' line. * font/make-Rproto: New script. * font/devhtml/R.proto, font/devutf8/R.proto: Generated.
Diffstat (limited to 'font/make-Rproto')
-rwxr-xr-xfont/make-Rproto49
1 files changed, 49 insertions, 0 deletions
diff --git a/font/make-Rproto b/font/make-Rproto
new file mode 100755
index 00000000..2788d676
--- /dev/null
+++ b/font/make-Rproto
@@ -0,0 +1,49 @@
+#! /bin/sh
+#
+# make-Rproto -- script for creating an R.proto file
+#
+# Copyright (C) 2006
+# Free Software Foundation, Inc.
+# Written by Werner Lemberg <wl@gnu.org>
+#
+# This file is part of groff.
+#
+# groff is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2, or (at your option) any later
+# version.
+#
+# groff is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with groff; see the file COPYING. If not, write to the Free Software
+# Foundation, 51 Franklin St - Fifth Floor, Boston, MA 02110-1301, USA.
+
+#
+# usage:
+#
+# make-Rproto R.proto.in < uniuni.cpp > R.proto
+#
+# `R.proto.in' contains the device specific part of the R.proto file; it
+# should end with a line containing the word `charset'.
+#
+# `uniuni.cpp' is located in directory `src/libs/libgroff'.
+
+prog="$0"
+
+if test $# -ne 1; then
+ echo "usage: $0 R.proto.in < uniuni.cpp > R.proto"
+ exit 1
+fi
+
+# Emit preamble.
+cat "$1"
+
+# Extract composite characters.
+grep '^ { ".*", ".*_.*" },' \
+| sed 's/ { "\(.*\)", ".\(.*\)" },/u\2 24 0 0x\1/'
+
+# EOF